import { Box, Divider, HStack, Icon, IconButton, Text } from '@chakra-ui/react'
import { Link, back, routes, useLocation } from '@redwoodjs/router'
import React from 'react'
import { FaArrowLeft } from 'react-icons/fa'

export const Topbar: React.FC = () => {
  const { pathname } = useLocation()

  const handleOnBack = () => {
    back()
  }
  return (
    <>
      <HStack h="10" w="full" justifyContent="space-between" pr="4">
        {pathname !== '/' ? (
          <IconButton
            aria-label="back"
            variant="unstyled"
            onClick={handleOnBack}
            icon={<Icon as={FaArrowLeft} />}
          />
        ) : (
          <Box />
        )}

        <Link to={routes.patterns()}>
          <Text textAlign="right">Patrones</Text>
        </Link>
      </HStack>
      <Divider />
    </>
  )
}
